GET
/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}/alerts
https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}/alertsReturns the list of all alerts in a given region.
Access Token Required: API Key
Path Parameters
subscriptionIdstringrequired
Subscription credentials that uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
resourceGroupNamestringrequired
The name of the resource group.
locationstringrequired
Name of the region
Query Params
api-versionstringrequired
Client API Version.
$filterstring
OData filter parameter.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}/alerts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}